QGIS3: no precision in identify (derived data)

2018-03-31 07:49 PM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.0 Regression?: No

Operating System: Microsoft Windows 7, 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26490

Description

In identify results, the derived data (like X/Y coordinates of points) are integer only.

Same behavior in 6ddd9ab0c7 and below.

History

#1 - 2018-03-31 07:51 PM - Tobias Wendorff

Addition information: I'm expecting the value to be float. Tested on non-geographical projections like EPSG:25832 and EPSG:3857

#2 - 2018-04-02 02:37 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Check Project Properties -> General -> Coordinate Display -> Precision. It's probably set too low.

#3 - 2018-04-02 03:18 AM - Tobias Wendorff

Yep, that's it. It was set to "automatic". Perhaps automatic should be 2/3 on projected coordinate systems by default?! Integer (zero precision) is a little bit

too low as a default value.
